## org.apache.ivy.core.event.retrieve
Class StartRetrieveArtifactEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.retrieve.RetrieveArtifactEvent
              org.apache.ivy.core.event.retrieve.StartRetrieveArtifactEvent

    public class StartRetrieveArtifactEvent

extends RetrieveArtifactEvent

Field Summary
`static java.lang.String` `NAME`

Constructor Summary
`StartRetrieveArtifactEvent(ArtifactDownloadReport report, java.io.File destFile)`

Method Summary

Methods inherited from class org.apache.ivy.core.event.retrieve.RetrieveArtifactEvent
`addArtifactAttributes, getDestFile, getReport`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### StartRetrieveArtifactEvent

    public StartRetrieveArtifactEvent(ArtifactDownloadReport report,
                                      java.io.File destFile)